# Affordance RL Project

## Installation

Key Requirements:
- python3
- OpenAI Gym (https://gym.openai.com/docs/)
- PyTorch 1.7.0+ (https://pytorch.org/)
- mujoco200 (http://www.mujoco.org/) -- In order to run mujoco, you'll probably need GLEW (http://glew.sourceforge.net/install.html)
- mujoco-py (https://github.com/openai/mujoco-py)
  
The recommended steps of installation:
1. Get python.
2. Install OpenAI Gym, and check if the gym is correctly installed (https://gym.openai.com/docs/)
3. Get a mujoco licence key.
4. Install GLEW then mujoco. 
5. Install mujoco-py. For some reason. If fail, try to install from the source (see below).
6. Run python and import mujoco-py and render the simpliest enviroment. Check: https://github.com/openai/mujoco-py#install-and-use-mujoco-py
  
Install mujoco-py from source:  
1. git clone https://github.com/openai/mujoco-py.git  
2. cd mujoco_py  
3. python3 setup.py install  


Potentially useful reference:
1. https://github.com/openai/mujoco-py/issues/572  
2. A possible reference: https://bit.ly/3cLb3sl

## Structure of the files
Main RL file:
- ppo_multi.py
Mujoco environments and widgets:
- assets/
RL MDP setup:
- mujoco_env.py

## Other details:
More useful info will follow soon before the end of May.
